Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.serialization
Class SerializationStreamFactory

    java.lang.Object
      org.jboss.remoting.serialization.SerializationStreamFactory

All Implemented Interfaces:
  SerializationStreamFactoryMBean

    public class SerializationStreamFactory

extends java.lang.Object
implements SerializationStreamFactoryMBean

This factory is for defining the Object stream implemenations to be used along with creating those implemenations for use. The main function will be to return instance of ObjectOutput and ObjectInput. By default, the implementations will be java.io.ObjectOutputStream and java.io.ObjectInputStream.

Author:
  Tom Elrod, Clebert Suconic

Field Summary
`static java.lang.String` | `DEFAULT`
`static java.lang.String` | `JAVA`
`static java.lang.String` | `JAVA_ENCRYPT`
`static java.lang.String` | `JBOSS`
`static java.lang.String` | `JBOSS_ENCRYPT`
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`SerializationStreamFactory()`

Method Summary
`java.lang.String` | `getManager()`
`java.lang.String` | `getManager(java.lang.String key)`
`static SerializationManager` | `getManagerInstance()`
`static SerializationManager` | `getManagerInstance(java.lang.String key)`
`void` | `setManager(java.lang.String manager)`
`void` | `setManager(java.lang.String key, java.lang.String manager)`
`static void` | `setManagerClassName(java.lang.String className)` The fully qualified classname of the DefaultSerializationManager implementation.
`static void` | `setManagerClassName(java.lang.String key, java.lang.String className)` The fully qualified classname of the DefaultSerializationManager implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

### DEFAULT

    public static final java.lang.String DEFAULT

See Also:
  Constant Field Values

### JAVA

    public static final java.lang.String JAVA

See Also:
  Constant Field Values

### JBOSS

    public static final java.lang.String JBOSS

See Also:
  Constant Field Values

### JAVA_ENCRYPT

    public static final java.lang.String JAVA_ENCRYPT

See Also:
  Constant Field Values

### JBOSS_ENCRYPT

    public static final java.lang.String JBOSS_ENCRYPT

See Also:
  Constant Field Values

Constructor Detail

### SerializationStreamFactory

    public SerializationStreamFactory()

Method Detail

### setManagerClassName

    public static void setManagerClassName(java.lang.String className)
                                    throws java.lang.ClassNotFoundException,
                                           java.lang.IllegalAccessException,
                                           java.lang.InstantiationException

  The fully qualified classname of the DefaultSerializationManager implementation.

  Parameters:
    `className` -
  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### setManagerClassName

    public static void setManagerClassName(java.lang.String key,
                                           java.lang.String className)
                                    throws java.lang.ClassNotFoundException,
                                           java.lang.IllegalAccessException,
                                           java.lang.InstantiationException

  The fully qualified classname of the DefaultSerializationManager implementation.

  Parameters:
    `className` -
  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### getManager

    public java.lang.String getManager()

  Specified by:
    `getManager` in interface `SerializationStreamFactoryMBean`

### getManager

    public java.lang.String getManager(java.lang.String key)

### setManager

    public void setManager(java.lang.String manager)
                    throws java.lang.Exception

  Specified by:
    `setManager` in interface `SerializationStreamFactoryMBean`
  Throws:
    `java.lang.Exception`

### setManager

    public void setManager(java.lang.String key,
                           java.lang.String manager)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getManagerInstance

    public static SerializationManager getManagerInstance(java.lang.String key)
                                                   throws java.io.IOException

  Returns:
    the SerializationManager instance corresponding to the given key. If key is null, "java" is assumed. The method never returns null, if there's no SerializationManager associated with the given key, the method throws exception.
  Throws:
    `java.io.IOException` - if there's no corresponding SerializationManager instance.

### getManagerInstance

    public static SerializationManager getManagerInstance()
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.